Summary:        Theme engines for GTK+ 2.0
Name:           gtk2-engines
Version:        2.18.4
Release:	5%{?dist}
# for details on which engines are GPL vs LGPL, see COPYING
License:        LGPLv2+
Group:          System Environment/Libraries
Source:         http://download.gnome.org/sources/gtk-engines/2.18/gtk-engines-%{version}.tar.bz2

Conflicts:  	gnome-themes < 2.9.0
Obsoletes:      gnome-theme-clearlooks <= 0.5

BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  pkgconfig

URL:           	http://download.gnome.org/sources/gtk-engines
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://bugzilla.gnome.org/show_bug.cgi?id=593030
Patch0: gtk-engines-2.18.2-change-bullet.patch

Patch1: tooltips.patch

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The gtk2-engines-devel package contains files needed to develop
software that uses the theme engines in the gtk2-engines package.


%description
The gtk2-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems.

%prep
%setup -q -n gtk-engines-%{version}

%patch0 -p1 -b .change-bullet
%patch1 -p1 -b .tooltips

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# no .la, please
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs rm

# sanitize permissions
find $RPM_BUILD_ROOT%{_datadir}/themes -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_datadir}/themes -type f -name "*.png" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/themes -name "gtkrc*" -perm +111 -exec chmod 644 {} \;

# no thanks
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Redmond
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/engines/libredmond95.so

%find_lang gtk-engines

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gtk-engines.lang
%defattr(644, root, root, 755)
%doc README AUTHORS NEWS COPYING
%attr (755, root, root) %{_libdir}/gtk-2.0/2.10.0/engines/*.so
%{_datadir}/themes/*
%{_datadir}/gtk-engines

%files devel
%defattr(644, root, root, 755)
%{_libdir}/pkgconfig/gtk-engines-2.pc


%changelog

